## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.multiexpr
Class ExpressionElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.multiexpr.ExpressionElement

    public class ExpressionElement

extends java.lang.Object

Constructor Summary
`ExpressionElement(QueryValueExpression expr, ValueExpressionCombinedOperator opr)`
`ExpressionElement(QueryValueExpression expr, ValueExpressionCombinedOperator opr, int paramNo)`

Method Summary
`void` `deleteExpression()`
`java.lang.String` `getColumnLabel()`
`java.util.Vector` `getElementsVector()`
`QueryValueExpression` `getExpression()`
`java.lang.String` `getExpressionString()`
`ValueExpressionCombinedOperator` `getOperator()`
`java.lang.String` `getOperatorString()`
`int` `getParameterNum()`
`void` `removeElement()`
`void` `setExprElementVectorRef(java.lang.ref.WeakReference newRef)`
`void` `setExpression(QueryValueExpression expr)`
`void` `setOperator(java.lang.String newOpString)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionElement

    public ExpressionElement(QueryValueExpression expr,
                             ValueExpressionCombinedOperator opr)

### ExpressionElement

    public ExpressionElement(QueryValueExpression expr,
                             ValueExpressionCombinedOperator opr,
                             int paramNo)

Method Detail

### getExpression

    public QueryValueExpression getExpression()

### getParameterNum

    public int getParameterNum()

### getColumnLabel

    public java.lang.String getColumnLabel()

### getElementsVector

    public java.util.Vector getElementsVector()

### setOperator

    public void setOperator(java.lang.String newOpString)

### getOperator

    public ValueExpressionCombinedOperator getOperator()

### getOperatorString

    public java.lang.String getOperatorString()

### setExpression

    public void setExpression(QueryValueExpression expr)

### deleteExpression

    public void deleteExpression()

### removeElement

    public void removeElement()

### getExpressionString

    public java.lang.String getExpressionString()

### setExprElementVectorRef

    public void setExprElementVectorRef(java.lang.ref.WeakReference newRef)